package com.dashitech.migration.task.other;

import com.dashitech.migration.BaseTask;
import com.dashitech.migration.core.FieldMapper;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.Map;

/**
 * @author song
 * @date 2024年10月12日
 */

@Component
public class DictionaryTask extends BaseTask {

    public static Log log = LogFactory.getLog(DictionaryTask.class);
    @Override
    @Transactional(rollbackFor = Exception.class)
    public void start() {

    }

    @Override
    public FieldMapper loadCache() {
        FieldMapper mapper = null;
        if ("xiangyang".equals(appName)) {
            mapper = loadXiangYangCache();
        } else {
            mapper = loadNanJingCache();
        }
        return mapper;
    }


    private FieldMapper loadXiangYangCache() {
        log.info(" *** 加载襄阳字典缓存 *** ");
        FieldMapper mapper = new FieldMapper();
        Map<Long, Long> dicIdCache = new HashMap<>();
        mapper.setIdCache(dicIdCache);
        //知识库
        dicIdCache.put(71L, 20404L); //待审核
        dicIdCache.put(72L, 20405L); //已发布
        dicIdCache.put(73L, 20406L); //待整改
        dicIdCache.put(74L, 20407L); //已停用
        //耗材消耗
        dicIdCache.put(1735L, 20557L);//消耗
        dicIdCache.put(1736L, 20558L);//撤销

        return mapper;
    }

    private FieldMapper loadNanJingCache() {
        log.info(" *** 加载南京字典缓存 *** ");
        FieldMapper mapper = new FieldMapper();
        Map<Long, Long> idCache = new HashMap<>();
        mapper.setIdCache(idCache);

        //公司分类
        idCache.put(1709L,20309L);
        idCache.put(1710L,20311L);
        idCache.put(279L,1609L);
        idCache.put(280L,1610L);


        return mapper;
    }
}
